/** ===== Incerción de tipografia local ==== */
@font-face {
    /*Tipografia principal (Melany) */
    font-family: 'pixelfonth1';
    src: url('tipografia/aston-script.woff2') format('truetype');
    font-weight: 400;
    font-style: normal; /*!Intento de italic a nomral para ver si asi se ve en movil!*/
    font-display: swap;
    /* Tipografia cursiva que esta en la portada con el nobre de la quinceañera
    su nombre es Aston Script.ttf*/
}

@font-face {
    /*Tipografia cursiva (Fecha) */
    font-family: 'pixelfontS1';
    src: url('tipografia/cherolina.woff2') format('truetype');
    font-weight: 400;
    font-style: normal;
    font-display: swap;
    /* Tipografia cursiva que que ocupo para la fecha del evento, es una cursiva
    ultra fina, el nombre de esta fuente es Cherolina.ttf*/
    
}

@font-face {
    /*Tipografia cursiva (h2) */
    font-family: 'pixelfontS3';
    src: url('tipografia/Hattinand.otf') format('opentype');
    font-weight: normal;
    font-style: normal;
    /* Tipografia cursiva que ocupo titulos de cada sección, como ubicaciones,
    mesa de regalos y contacto, el nombre de la tipografia es Hattinand.otf*/
}

@font-face {
    /*Tipografia cursiva (h3) */
    font-family: 'pixelfontS2';
    src: url('tipografia/Gladis.ttf') format('truetype');
    font-weight: normal;
    font-style: italic;
    /* Tipografia cursiva que uso solo para subtitulos en el contenedor de ubiaciónes*/
}

/* ---- Termina Incerción de tipografia local ---- */

/*=====================================================*/

/** ===== Inicia estilo de texto de encabezado ==== */
#encabezado {
    /* Texto general del encabezado */
    color: white;
    font-family: sans-serif;
}

/* ---- Configuración de texto en encabezado (H1 & Fecha)---- */
h1 {
    /* Texto: Melany */
    font-family: 'pixelfonth1', sans-serif;
    font-size: 150px;
}

.fecha1 {
    /* Texto: 05 de Julio 2002 */
    font-family: 'pixelfontS1';
    font-size: 50px;
}

.misxv,
.cdmx {
    /* Texto: Mis XV & CDMX */
    font-family: "Source Serif 4", serif;
    font-size: 30px;
}

/* ===== Inicia el contenedor del texto ==== */
.contenedor {
    /* Texto sobre overlay */
    position: relative;
    z-index: 2;
}

/* ---- Termina contenedor del texto ---- */
/* ---- Termina estilo de texto de encabezado ---- */


/** ===== Inicia el estilo de texto de frase ==== */
#frase {
    /* Configuracion de texto */
    font-size: 15px;
    letter-spacing: 3px;
    font-family: "Montserrat", sans-serif;
    font-weight: 300;
    line-height: 25px;
}

/* ---- Termina estilo de texto de frase ---- */

/** ===== Inicia el estilo de Cuenta regresiva ==== */
.numero-regresivo {
    font-family: "Ms Madi", cursive;
    font-size: 40px;
    font-weight: 400;
    font-style: normal;
    color: rgb(0, 0, 0);
}

.label {
    /* Configuracion de tamaño y estilo de numeros en cuenta regresiva */
    font-size: 15px;
    font-style: italic;
}

/* ---- Termina estilo de Cuenta regresiva ---- */

/** ===== Inicia el estilo de Invitacion ==== */
#invitacion > p {
    font-size: 21px;
}
#invitacion b {
    font-size: 25px;
}


/** ===== Inicia el estilo de Ubicaciones ==== */
#ubicaciones p {
    font-size: 15px;
    /* Se aplica reducción de tamaño de fuente debido a que se
    generalizo en agrupacion de p y en esta area se necesita un poco
    mas pequeña la fuente*/
}

#ubicaciones .iglesia,
#ubicaciones .salon {
    font-family: "Noto Serif Display", serif;
    font-size: 22px;
    font-weight: 400;
    letter-spacing: 2px;
    /* Se aplica cambio de fuente y tamaño para dar formato
    a letras de la iglesia y el salon*/
}


/* ---- Termina estilo para Ubicaciónes ---- */

/** ===== Inicia Estilo Para Codigo de vestimenta ===== */
#codigodevestimenta>p {
    font-family: "Noto Serif Display", serif;
    font-size: 15px;
    font-weight: 300;
    letter-spacing: 25px;
}

/* ---- Termina Estilo Para Codigo de vestimenta ---- */


/** ===== Inicia Estilo Para Contacta a mis Padres ===== */
#contacto > button {
    width: 200px;
}

/* Este fragmento de codigo se usa para corregir el 
tamaño del boton de esta area debido a que al generalizar
las medidas del boton, este quedo más pequeño */

/* ---- Termina Estilo Para Contacta a mis Padres ---- */

/** ===== Inicia estilo No niños==== */

#noniños>p {
    font-size: 12px;
    font-family: sans-serif;
    text-transform: uppercase;
    letter-spacing: 5px;
    font-weight: 100;
}


/** ===== Inicio de grupos ==== */

/* ===== Inicia estilo para p ===== **/
p {
    font-family: "Inter", sans-serif;
    font-size: 16px;
    font-weight: 150;
    font-style: normal;
    /* Se aplica cambio de fuente y tamaño para dar formato
    general a texto del cuerpo*/
}

/* ---- Termina estilo para p ---- */


/* ===== Inicia grupo para H2 ===== */
h2,
b {
    font-family: 'pixelfontS3', sans-serif;
    font-size: 25px;
    letter-spacing: 5px;
    color: #947647;
}

/* ---- Termina grupo de estilo de texto para h2 ---- */


/* ===== Inicia grupo para h3 (Ceremonia, Evento social) ===== */
h3 {
    font-family: 'pixelfontS1';
    font-size: 35px;
    transform: scale(1, 1.2);
    color: #947647;
}

/* ---- Termina grupo para h3 ---- */


/** ===== Inicia grupo para Estilo de botones ===== */
button {
    /* Estilo de texto */
    font-family: "Inter", sans-serif;
    font-size: 12px;
    font-weight: 100;
    color: white;
    /* Diseño de boton*/
    background-color: #baa684;
    border: 0;
    height: 35px;
    width: 150px;
    border-radius: 7px;
}

/* ---- Termina grupo para Estilo de botones  ---- */